Bug 450686 - Review Request: R-RSQLite - SQLite Interface for R
Review Request: R-RSQLite - SQLite Interface for R
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 450685
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 09:15 EDT by Nigel Jones
Modified: 2008-07-15 08:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.6-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 08:15:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nigel Jones 2008-06-10 09:15:24 EDT
Spec URL: http://dev.nigelj.com/SRPMS/R-RSQLite.spec
SRPM URL: http://dev.nigelj.com/SRPMS/R-RSQLite-0.6-1.fc9.src.rpm

Read/Write SQLite interface for R, allowing manipulation of database objects for statistically purposes.
Comment 1 Jason Tibbitts 2008-06-25 13:49:32 EDT
Shouldn't this have a build dependency on R-DBI?
Comment 2 Nigel Jones 2008-06-26 07:52:34 EDT
(In reply to comment #1)
> Shouldn't this have a build dependency on R-DBI?

And you'd be right, DOH!

Spec URL: http://dev.nigelj.com/SRPMS/R-RSQLite.spec
SRPM URL: http://dev.nigelj.com/SRPMS/R-RSQLite-0.6-3.fc9.src.rpm
Comment 3 Jason Tibbitts 2008-06-29 13:14:00 EDT
I'd suggest using http://cran.r-project.org/web/packages/RSQLite/index.html for
the URL, as it actually has some information about the package.

* source files match upstream:
   8eb6faf25b494db17c74e0a83099839796539ae059cc8fd58fbac13aac2c63d8  
   RSQLite_0.6-9.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   RSQLite.so()(64bit)
   R-RSQLite = 0.6-3.fc10
  =
   /bin/bash
   /bin/sh
   R
   R-DBI
   libR.so()(64bit)

* %check is present and all tests pass.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (R package registration)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 4 Nigel Jones 2008-06-30 08:32:56 EDT
(In reply to comment #3)
> I'd suggest using http://cran.r-project.org/web/packages/RSQLite/index.html for
> the URL, as it actually has some information about the package.
> 
Your right, I thought I changed that one...
> APPROVED
Thanks,
New Package CVS Request
=======================
Package Name: R-RSQLite
Short Description: SQLite database interface for R
Owners: nigelj
Branches: F-8 F-9
Cvsextras Commits: yes


Note there will most likely be a EL-4/5 request in the future but I haven't had
a chance to even check if the version of SQLite is new enough for this package
yet.  (I know it prevents a few of my other packages entering EL-* though)
Comment 5 Kevin Fenzi 2008-06-30 12:21:03 EDT
cvs done.
Comment 6 Fedora Update System 2008-07-11 10:00:32 EDT
R-RSQLite-0.6-3.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-07-11 10:00:34 EDT
R-RSQLite-0.6-3.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-07-15 08:15:03 EDT
R-RSQLite-0.6-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-07-15 08:18:14 EDT
R-RSQLite-0.6-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.